<?php
require "secrets/config.php";
require "lib/navpages.php";
require "lib/routing.php";

$default_page = "domov";

$default_site = "home";

$template_dir = "templates/";

$static_page_dir = "pages/";

$dynamic_page_dir = "dynamic/";

$subdomain = basename(explode('.', $_SERVER['HTTP_HOST'])[0]);
$domain = basename(explode('.', $_SERVER['HTTP_HOST'])[1]);
$tld = basename(explode('.', $_SERVER['HTTP_HOST'])[2]);
$page_name = basename($_SERVER["QUERY_STRING"]);
$protocol = getProtocol();

if (empty($tld)){
    header("Location: $protocol$default_site.$subdomain.$domain/$default_page");
    return;
}

if (empty($page_name)){
    header("Location: $protocol$subdomain.$domain.$tld/$default_page");
    return;
}

session_set_cookie_params(0, '/', ".$domain.$tld", true, true);
session_start();

echo getPage($routerConfig);

?>